<semantic-form fields='[  
{
    "id": "classtype",
    "label": "Type",
    "description": "The type of the created instance",
    "xsdDatatype": "xsd:anyURI",
    "minOccurs": "1",
    "maxOccurs": "1",
    "valueSetPattern": "SELECT $value $label WHERE { VALUES ($value $label) { (<http://www.cidoc-crm.org/cidoc-crm/E21_Person>  \"Person\") (<http://www.cidoc-crm.org/cidoc-crm/E74_Group>  \"Group/Organization\")}}",
    "selectPattern": "SELECT $value WHERE { $subject a $value }",
    "insertPattern": "INSERT { $subject a $value } WHERE {}",
    "deletePattern": "DELETE { $subject a $value } WHERE {}"
},
{
    "id": "name",
    "label": "Full Name",
    "xsdDatatype": "xsd:string",
    "minOccurs": "1",
    "maxOccurs": "1",
    "selectPattern": "SELECT $value where {$subject <http://www.w3.org/2000/01/rdf-schema#label>  $value}",
    "insertPattern": "INSERT {$subject <http://www.w3.org/2000/01/rdf-schema#label>  ?value } WHERE {}",
    "deletePattern": "DELETE {$subject <http://www.w3.org/2000/01/rdf-schema#label>  ?value } WHERE {}"
},    
{
    "id": "sameAs",
    "label": "Same as",
    "description": "Links an individual to an individual. Indicates that two URI references actually refer to the same thing: the individuals have the same \"identity\".",
    "xsdDatatype": "xsd:anyURI",
    "minOccurs": "0",
    "maxOccurs": "unbound",
    "selectPattern": "SELECT $value where {$subject <http://www.w3.org/2002/07/owl#sameAs>  $value}",
    "insertPattern": "INSERT {$subject <http://www.w3.org/2002/07/owl#sameAs>  ?value } WHERE {}",
    "deletePattern": "DELETE {$subject <http://www.w3.org/2002/07/owl#sameAs>   ?value } WHERE {}"
},
{
    "id": "P1_is_identified_by",
    "label": "Email address",
    "description": "Associate an email address with this person/group.",
    "xsdDatatype": "xsd:anyURI",
    "minOccurs": "0",
    "maxOccurs": "unbound",
    "selectPattern": "SELECT $value where { $subject <http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by>  ?value}",
    "insertPattern": "INSERT { $subject <http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by>  ?value } where {}",
    "deletePattern": "DELETE { $subject <http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by>  ?value } where {}",
    "autosuggestionPattern": "PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>  SELECT $value $label { GRAPH <http://metadata.lincsproject.ca>  { $value a crm:E42_Identifier ; crm:P2_has_type <http://purl.org/ontology/bibo/Email>  ; crm:P190_has_symbolic_content $label . SERVICE bds:search { ?label bds:search ?__token__; bds:minRelevance \"0.3\"; bds:matchAllTerms \"false\" ; bds:relevance ?score .}}}"
},
{
    "id": "P2_has_type",
    "label": "Role type",
    "xsdDatatype": "xsd:anyURI",
    "description": "Type of role.",
    "minOccurs": "1",
    "maxOccurs": "unbound",
    "selectPattern": "SELECT $value where {$subject crm:P2_has_type $value}",
    "insertPattern": "INSERT {$subject crm:P2_has_type ?value} WHERE {}",
    "deletePattern": "DELETE {$subject crm:P2_has_type ?value} WHERE {}",
    "autosuggestionPattern": "PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>  SELECT $value $label { GRAPH <http://metadata.lincsproject.ca>  { $value a crm:E55_Type ; rdfs:label $label . SERVICE bds:search { ?label bds:search ?__token__; bds:minRelevance \"0.3\"; bds:matchAllTerms \"false\" ; bds:relevance ?score .}}}"
}]' new-subject-template="http://id.lincsproject.ca/{{{{raw}}}}{{UUID}}{{{{/raw}}}}" persistence='{"type": "sparql", "targetGraphIri": "http://metadata.lincsproject.ca"}'>
<div class="form-scroll-area">
<semantic-form-select-input for="classtype">
</semantic-form-select-input>
<semantic-form-text-input for="name">
</semantic-form-text-input>
<semantic-form-text-input for="sameAs">
</semantic-form-text-input>
<semantic-form-autocomplete-input for="P2_has_type">
   [[>  forms/admin/metadata-type]]
  </semantic-form-autocomplete-input>
<semantic-form-text-input for="P1_is_identified_by">
   [[>  forms/admin/metadata-identifier]]
  </semantic-form-text-input>
</div>
<button class="btn btn-default" name="submit">
  [[i18n "save" bundle="languages/resource_forms_admin_metadata-actor" locale=this.lang]]
 </button>
<button class="btn btn-default" name="delete">
  [[i18n "delete" bundle="languages/resource_forms_admin_metadata-actor" locale=this.lang]]
 </button>
<button class="btn btn-default" name="reset">
  [[i18n "reset" bundle="languages/resource_forms_admin_metadata-actor" locale=this.lang]]
 </button>
</semantic-form>
